#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_with	static_libs	# don't build static library
#
%define		xfce_version	4.11.0
Summary:	Utility library for the Xfce desktop environment
Summary(pl.UTF-8):	Biblioteka narzędziowa dla środowiska Xfce
Name:		libxfce4util
Version:	4.11.0
Release:	2
License:	BSD, LGPL
Group:		Libraries
Source0:	http://archive.xfce.org/src/xfce/libxfce4util/4.11/%{name}-%{version}.tar.bz2
# Source0-md5:	319907682b1254ba76dcd81d97841452
URL:		http://www.xfce.org/projects/libxfce4
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	gtk-doc-automake
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Basic utility non-GUI functions for Xfce.

%description -l pl.UTF-8
Podstawowe funkcje narzędziowe nie związane z GUI dla Xfce.

%package apidocs
Summary:	libxfce4util API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfce4util
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxfce4util API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfce4util.

%package devel
Summary:	Development files for libxfce4util library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.4

%description devel
Development files for the libxfce4util library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxfce4util.

%package static
Summary:	Static libxfce4util library
Summary(pl.UTF-8):	Statyczna biblioteka libxfce4util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4util library.

%description static -l pl.UTF-8
Statyczna biblioteka libxfce4util.

%package tools
Summary:	Tools for libxfce4util library
Summary(pl.UTF-8):	Narzędzia biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for libxfce4util library.

%description tools -l pl.UTF-8
Narzędzia biblioteki libxfce4util.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libxfce4util}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README NEWS THANKS TODO
%attr(755,root,root) %{_libdir}/libxfce4util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4util.so.6

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4util.so
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/libxfce4util
%{_pkgconfigdir}/libxfce4util-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4util.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/xfce4-kiosk-query
%changelog
* Fri Aug 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxfce4util.git;a=log;h=master

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> aca9b57
- fixed install
- rel 2

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> f4dc7db
- up to 4.11.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 90b07cb
- disable static libs
- update soname

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f674bc5
- xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 8821e3a
- 4.10.0

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 35baf31
- merged from DEVEL

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 6775d8c
- %description <name> for correct %package

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 121da47
- BR: docbook-dtd412-xml, intltool

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> cdd42fe
- rel 2
- no ur_PK here

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 4dc3163
- 4.6.2

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 744050d
- rel 3
- dirs cleanup

* Wed May 06 2009 Marcin Banasiak <marcin.banasiak@gmail.com> bbf42e5
- own /usr/share/xfce4/doc/gl
- release 2

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> f7daf03
- updated to 4.6.1

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 614b4b1
- added %{_datadir}/xfce4/doc/da

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 0e864d0
- own more dirs

* Sat Feb 28 2009 Karol Krenski <charles@pld-linux.org> af6c467
- added apidocs bcond

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 1994046
- updated to 4.6.0

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> ab45bb9
- 4.4.3

* Tue Dec 04 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3280d8f
- fixed locale names

* Tue Dec 04 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 53436e9
- updated to 4.4.2

